---
title: Initial flashing/debricking the Proxmark V3 EASY (w/ Bus Pirate)
tags:
  - hacking
  - hardware
  - jtag
categories:
  - cyber
  - hardware
  - reverse engineering
date: 2019-09-25 15:22:58
---

TL;DR; Short the ERASE pin with VDDCORE, if ERASE == PIN\_55 && VDDCORE == PIN\_54

According to complains in the internet, users report bricking their Proxmark3 EASY, when they try to flash the latest firmware with the 'flasher' software tool.

Sometimes flashing process of firmware can go wrong, but it can often be recovered with JTAG programmers, or similar programmers.

I will not about setting up the environment to build, and flash the firmware, but I will tell you what you might be missing out and why it might be not working.

If you do not know where to start with flashing your Proxmark3, than have a look [here](https://github.com/Proxmark/proxmark3/wiki/flashing), [here](https://github.com/Proxmark/proxmark3/wiki/Debricking-Proxmark3-with-buspirate), [here](https://github.com/Proxmark/proxmark3/wiki/De-Bricking-Segger) or [here](https://joanbono.github.io/PoC/Flashing_Proxmark3.html). The first link describes the standard way of upgrading your firmware, which can fail, if you are unlucky. The other three links describe ways to recover your Proxmark3.

Why can upgrading the firmware fail? There are quite some reasons it can go wrong.

*   bad firmware image
*   wrong parameters
*   power loss
*   chip security measurements

With the Proxmark3 EASY it seems, that some devices have the _Security Bit_ of the AT91SAM7S512 processor set. The [datasheet](http://ww1.microchip.com/downloads/en/DeviceDoc/doc6175.pdf) (see page 113, paragraph 19.2.4.5) says: "The goal of the security bit is to prevent external access to the internal bus system. \[...\] JTAG, Fast Flash Programming and Flash Serial Test Interface features are disabled. Once set,this bit can be reset only by an external hardware ERASE request to the chip. \[...\]".

To unlock the chip again we can find interesting information in [this document](http://www.equinox-tech.com/downloads/equinox/ApplicationNotes/AN122%20Atmel%20AT91SAM7%20ISP%20Programming_V1-13_250110.pdf) on page 20 in paragraph 2.5. Which describes the unlocking the chip by applying _Vcc_ to the _ERASE_ pin. Applying voltage to the pin will wipe the security bit, but also all contents of the flash!

Unfortunately the ERASE pin, which is pin number 55 on the AT91SAM7S512, has no connection. The first idea was to solder a jumper wire to _Vcc_. On second guess and looking at the datasheets again, reveals pin 54 is _VDDCORE_, which applies 1.65V to 1.95V (1.8V typical) to the CPU for operation.

To erase and reset the Proxmark, I shortened pin 54 and pin 55 with the tip of a multimeter, applied power via USB to the Proxmark3. After >300ms the flash and security bit is erased and the device can be powered off.

The JTAG interface is now enabled again. Next I flashed the bootloader, and the fullimage using the Bus Pirate v4 using as described in one of the first links mentioned above.

#hackinghackertools
